Skip to content

Eclipse Europa und Ganymede: Updates helfen!

Nachdem ich mit der Benutzung von Eclipse 3.4 (Ganymede) wieder solche heftigen Probleme hatte, versuchte ich aus reiner Verzweiflung noch einmal eine frische Installation von Eclipse 3.3 (Europa). Ein Versuch mit meinem JBoss Projekt ergab wieder das selbe Ergebnis, wie bei meinen letzten Gehversuchen mit Europa: Mir wurde lapidar eine NullPointerException beim Starten meines Web-Projektes über den JBoss Server mitgeteilt.

Googlen ergab, dass dieses Problem wohl ein bekanntes ist, welches inzwischen als "FIXED" markiert ist. Also öffnete ich den Update Manager meiner Europa Installation. Diese zeigte mir 3 wichtige Updates, 2 davon waren die Web- und die J2EE Standard Tools. Diese Updates führte ich durch und startete Europa neu. Was soll ich sagen: Jetzt deployed und startet Europa mein JBoss Projekt korrekt!

Auch das daraufhin installierte PHPEclipse Plugin funktioniert, sogar der TPTP Profiler startet, fragt mich allerdings nicht danach, was zu profilen ist und öffnet nicht die Profiling View. Da muss ich also noch einmal evaluieren, was hier das Problem ist. Aber Europa bietet mir nun das selbe, wie meine alte 3.2 Installation plus zusätzliche nun endlich wieder funktionierende Plugins (wie PHPEclipse).

Davon beflügelt startete ich noch einmal meine Ganymede Installation und ließ diese nach Updates suchen. Hier schien fast das ganze System Updates zu benötigen. Also auch hier alles installiert und Ganymede neu gestartet, Ergebnis: Mein JBoss Projekt deployed und startet nun auch hier korrekt!

Daraus kann man wohl nur schließen, dass die beiden Distributionsarchive auf Eclipse.org für Linux recht kaputt sind, viele Probleme allerdings inzwischen offenbar behoben und updatebar sind! Vielleicht ist es auch ein Zusammenspiel aus neueren Updates und meinem Wechsel von Ubuntu Gutsy Gibbon nach Hardy Heron, denn ich bin mir ziemlich sicher, dass ich auch damals für Europa alle Updates eingespielt hatte.

Leider funktioniert der Profiler unter Ganymede immer noch nicht. Ich bekomme immer noch die Meldung "[Error: FATAL ERROR: JPIAgent can't load ACCollector]. Google liefert hierfür nur einen längeren Thread mit einer Fehlersuche und Lösungsvorschlägen, die den ursprünglichen Poster (und mich) jedoch nicht weiter bringen. Der TPTP Profiler bleibt unter Ganymede nicht startfähig.

Auf jeden Fall kann ich mich nun aber endlich von meiner alten 3.2 Installation verabschieden, denn sowohl mit Europa wie mit Ganymede habe ich nun einen besseren Stand, denn meine 3.2 Installation schafft weder PHPEclipse noch den TPTP Profiler. Wahrscheinlich werde ich erst einmal mit Europa weiter probieren, da scheinen mir die Erfolgsaussichten etwas größer, auch den Profiler zum laufen zu bekommen.

Trackbacks

Keine Trackbacks

Kommentare

Ansicht der Kommentare: Linear | Verschachtelt

Markus

Markus am :

Na das freut mich doch zu lesen =)

Grischa

Grischa am :

Du kannst mir glauben: Mich auch. :-)

Kommentar schreiben

Die angegebene E-Mail-Adresse wird nicht dargestellt, sondern nur für eventuelle Benachrichtigungen verwendet.
Dieses Blog erlaubt Dir, Audio Kommentare über audioboo.fm hinzuzufügen. Erstelle einen neuen Boo und gib hier den Link auf die Seite Deines Boos ein.
record
Wenn Du Deinen Twitter Namen eingibst wird Deine Timeline in Deinem Kommentar verlinkt.
Bewirb einen Deiner letzten Artikel
Dieses Blog erlaubt Dir mit Deinem Kommentar einen Deiner letzten Artikel zu bewerben. Bitte gib Deine Blog URL als Homepage ein, dann wird eine Auswahl erscheinen, in der Du einen Artikel auswählen kannst. (Javascript erforderlich)
(Bedingung: 1 Kommentare geschrieben)
Standard-Text Smilies wie :-) und ;-) werden zu Bildern konvertiert.
tweetbackcheck